<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="text" indent="no"/>
    <xsl:variable name="nl" select="'&#xA;'"/>
    <xsl:template match="feeData">
        <xsl:text>ro,rt,ptcpt,grp,disp,topOrDepth,startDate,endDate,yearMonth,preOrPost,baseTakeFee,topTierTakeFee,baseMakeFee,topTierMakeFee,avgTakeFee,medianTakeFee,avgMakeFee,medianMakeFee</xsl:text>
        <xsl:value-of select="$nl"/>
        <xsl:for-each select="fee">
            <xsl:value-of select="sro"/><xsl:text>,</xsl:text><xsl:value-of select="rt"
                /><xsl:text>,</xsl:text><xsl:value-of select="ptcpt"/>, <xsl:value-of select="grp"
                /><xsl:text>,</xsl:text><xsl:value-of select="disp"
                /><xsl:text>,</xsl:text><xsl:value-of select="topOrDepth"
                /><xsl:text>,</xsl:text><xsl:value-of select="startDate"
                /><xsl:text>,</xsl:text><xsl:value-of select="endDate"
                /><xsl:text>,</xsl:text><xsl:value-of select="yearMonth"
                /><xsl:text>,</xsl:text><xsl:value-of select="preOrPost"
                /><xsl:text>,</xsl:text><xsl:value-of select="baseTakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="topTierTakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="baseMakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="topTierMakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="avgTakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="medianTakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="avgMakeFee"
                /><xsl:text>,</xsl:text><xsl:value-of select="medianMakeFee"/>
            <xsl:value-of select="$nl"/>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
