<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" indent="yes"/>
    <xsl:template match="feeData">
        <html>
            <head>
                <title/>
                <style type="text/css">
                    table {
                        border-collapse: collapse;
                    }
                    td,
                    th {
                        white-space: nowrap;
                        border: 1pt solid gray;
                        text-align: center;
                        padding: 2pt;
                    }</style>
            </head>
            <body>
                <table>
                    <tr>
                        <th>sro</th>
                        <th>rt</th>
                        <th>ptcpt</th>
                        <th>grp</th>
                        <th>disp</th>
                        <th>topOrDepth</th>
                        <th>startDate</th>
                        <th>endDate</th>
                        <th>yearMonth</th>
                        <th>preOrPost</th>
                        <th>baseTakeFee</th>
                        <th>topTierTakeFee</th>
                        <th>baseMakeFee</th>
                        <th>topTierMakeFee</th>
                        <th>avgTakeFee</th>
                        <th>medianTakeFee</th>
                        <th>avgMakeFee</th>
                        <th>medianMakeFee</th>
                    </tr>
                    <xsl:for-each select="fee">
                        <tr>
                            <td>
                                <xsl:value-of select="sro"/>
                            </td>
                            <td>
                                <xsl:value-of select="rt"/>
                            </td>
                            <td>
                                <xsl:value-of select="ptcpt"/>
                            </td>
                            <td>
                                <xsl:value-of select="grp"/>
                            </td>
                            <td>
                                <xsl:value-of select="disp"/>
                            </td>
                            <td>
                                <xsl:value-of select="topOrDepth"/>
                            </td>
                            <td>
                                <xsl:value-of select="startDate"/>
                            </td>
                            <td>
                                <xsl:value-of select="endDate"/>
                            </td>
                            <td>
                                <xsl:value-of select="yearMonth"/>
                            </td>
                            <td>
                                <xsl:value-of select="preOrPost"/>
                            </td>
                            <td>
                                <xsl:value-of select="baseTakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="topTierTakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="baseMakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="topTierMakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="avgTakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="medianTakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="avgMakeFee"/>
                            </td>
                            <td>
                                <xsl:value-of select="medianMakeFee"/>
                            </td>
                        </tr>
                    </xsl:for-each>

                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
